<?php
//--------------------------------------------------------------------
// *** SPHRASE ***
// LAST UPDATE: 2009/05/30
// Version    : 1.11
// Copyright  : nJOY
// http://i-njoy.net/
//--------------------------------------------------------------------
//
// control.php
//
//--------------------------------------------------------------------

$module_version = "1.11";

global $blogn_admin;
if (!$blogn_admin) exit;

$menu = array(1 => "定義データ", "説明", "独自タグ", "インストール", "モジュール情報");
$loadtabs = "1";

switch (BLOGN_CHARSET) {
	case "0":
		$encode = "ShiftJIS";
		break;
	case "1":
		$encode = "EUC-JP";
		break;
	default:
		$encode = "UTF-8";
		break;
}

$csvfile = BLOGN_MODDIR."sphrase/sengine.csv";

include BLOGN_MODDIR.$module_name.'/menu.php';

echo $js.'
<div class="blogn_main">

<div'.formatStyle($style["wrapper"]).'>
<h1'.formatStyle($style["mod_title"]).'>検索語ハイライトモジュール (ver'.$module_version.')</h1>

<!-- LEFT -->
<div'.formatStyle($style["coll"]).'>
<h2'.formatStyle($style["coll_h2"]).'>メニュー</h2>
<ul'.formatStyle($style["coll_ul"]).'>';

module_control_list($menu);

echo '
</ul>
<noscript><p'.formatStyle($style["nojs"]).'>※ Javascript 無効<br />メニュー内のテキストリンクは機能しないので、● をクリックしてナビゲートしてください。</p></noscript>
<p'.formatStyle($style["credit"]).'>Powered by<br /><a href="http://i-njoy.net/blog/" target="_blank"'.formatStyle($style["credit_a"]).'>nJOY BLOG</a></p>
</div>
 
<!-- RIGHT -->
<div'.formatStyle($style["colr"]).'>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("定義データ", $menu).'">
<div class="blogn_bar">定義データ</div>
<form>
<table border="1" cellspacing="0" cellpadding="3" bgcolor="#ffffff" width="600">
<tr bgcolor="#dcdcdc" style="text-align:center;"><th>Hostname + Path</th><th>Query</th><th>デフォルト<br />文字コード</th><th>エンコーディング引数</th></tr>';


$file = file($csvfile);
$count = count($file);

for ($i = 0; $i < $count; $i++ ) {
	$line = explode(",", rtrim($file[$i]));
	echo '
<tr>
<td><input type="text" name="path" size="60" value="'.$line[0].'" /></td>
<td><input type="text" name="path" size="15" value="'.$line[1].'" /></td>
<td><input type="text" name="path" size="10" value="'.$line[2].'" /></td>
<td><input type="text" name="path" size="15" value="'.$line[3].'" /></td>
</tr>';
}
echo '
</table></form>

<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("説明", $menu).'">
<div class="blogn_bar">説明</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>ブログ内検索への対応方法</h2>

<p'.formatStyle($style["mod_p"]).'>「sengine.csv」に次の2行を追加してください。</p>
<pre'.formatStyle($style["pre"]).'>
'.str_replace("http://", "", BLOGN_HOMELINK).'index.php,s,'.$encode.'
'.str_replace("http://", "", BLOGN_HOMELINK).',s,'.$encode.'
</pre>
<p'.formatStyle($style["mod_p"]).'>ブログの初期設定で「文字出力コード」を変更した場合、「sengine.csv」も修正する必要があります。</p>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("独自タグ", $menu).'">
<div class="blogn_bar">独自タグ</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで使える独自タグ</h2>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="100">独自タグ</th><th>説明</th><th width="50">補足</th></tr>
<tr><td>{SPHRASE}</td><td>ハイライト用 Javascript を出力</td><td>必須</td></tr>
</table>

<h2'.formatStyle($style["mod_h2"]).'>このモジュールで出力するスタイルシート用クラス</h2>

<table border="1" cellspacing="0" cellpadding="3" width="500"'.formatStyle($style["mod_table"]).'>
<tr bgcolor="#dcdcdc"><th width="100">クラス名</th><th>説明</th><th width="50">HTML</th><th width="50">補足</th></tr>
<tr><td>searchword</td><td>検索語</td><td>span</td><td>必須</td></tr>
</table>

</div>
<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("インストール", $menu).'">
<div class="blogn_bar">インストール</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>インストール方法</h2>
<ol'.formatStyle($style["mod_list"]).'>
<li>「sengine.csv」のパーミッションを「666」等に変更する。</li>
<li>スキンの HTML ファイルに独自タグを追加する。</li>
<li>スキンの CSS ファイルにハイライト用スタイルを追加する。</li>
'.$mod_control["co_start"].'<li>必要に応じてモジュール管理画面から動作スイッチを ON にする必要があります。</li>'.$mod_control["co_end"].'
</ol>

<h3'.formatStyle($style["mod_h3"]).'>■ スキンの HTML ファイルへの記述例</h3>
<p'.formatStyle($style["mod_p"]).'>HTML ファイルの &#x3c;head&#x3e; 内に下記を追加して下さい。</p>
<pre'.formatStyle($style["pre"]).'>
&lt;script type="text/javascript"&gt;
&lt;!--
<b'.formatStyle($style["red"]).'>{SPHRASE}</b>
//--&gt;
&lt;/script&gt;
</pre>

<h3'.formatStyle($style["mod_h3"]).'>■ スキンの CSS ファイルへの記述例</h3>
<p'.formatStyle($style["mod_p"]).'>ハイライト用のスタイルを定義してください。</p>
<pre'.formatStyle($style["pre"]).'>
.searchword {
    background-color: #ffff00;
    color: #000000;
}
</pre>


</div>

<hr'.formatStyle($style["hr"]).' />
</div>

<!-- Start Tabcontent -->
<div id="tabcontent'.array_search("モジュール情報", $menu).'">
<div class="blogn_bar">モジュール情報</div>
<div'.formatStyle($style["mod"]).'>

<h2'.formatStyle($style["mod_h2"]).'>公式サイト</h2>
<p'.formatStyle($style["mod_p"]).'>もっと詳しい情報や最新版モジュールのダウンロードは「<a href="http://i-njoy.net/tips/plus_sph.shtml" target="_blank">検索語ハイライトモジュール</a>」の解説ページからどうぞ。</p>
<p'.formatStyle($style["mod_p"]).'>最新情報は「<a href="http://i-njoy.net/blog/" target="_blank">nJOY BLOG</a>」から入手できます。</p>

<h2'.formatStyle($style["mod_h2"]).'>モジュール構成ファイル</h2>
<ul'.formatStyle($style["package"]).'>
<li'.formatStyle($style["pack_0"]).'>+ blognplus /</li>
<li'.formatStyle($style["pack_1"]).'>+ module /</li>
<li'.formatStyle($style["pack_2"]).'>+ sphrase /</li>
<li'.formatStyle($style["pack_3"]).'>- blank.php</li>
<li'.formatStyle($style["pack_3"]).'>- control.php</li>
<li'.formatStyle($style["pack_3"]).'>- index.html</li>
<li'.formatStyle($style["pack_3"]).'>- info.php</li>
<li'.formatStyle($style["pack_3"]).'>- install.php</li>
<li'.formatStyle($style["pack_3"]).'>- menu.php</li>
<li'.formatStyle($style["pack_3"]).'>- <span'.formatStyle($style["red"]).'>sengine.csv</span></li>
<li'.formatStyle($style["pack_3"]).'>- sphrase.php</li>
<li'.formatStyle($style["pack_3"]).'>- style.php</li>
<li'.formatStyle($style["pack_3"]).'>- uninstall.php</li>
<li'.formatStyle($style["pack_3"]).'>- update.php</li>
</ul>

<p'.formatStyle($style["mod_p"]).'><span'.formatStyle($style["red"]).'>赤文字のファイル</span>のパーミッションは「666」や「606」に変更してください。</p>

'.$mod_control["co_start"].'
<h2'.formatStyle($style["mod_h2"]).'>動作 ON/OFF</h2>
<p'.formatStyle($style["mod_p"]).'>モジュールをインストール後に、動作のオン・オフを切り替える必要があります。</p>
<dl'.formatStyle($style["mod_dl"]).'>
<dt>PC</dt><dd>PC 用スキンに独自タグを記述した場合、「PC」欄を <img src="images/on.gif" width="20" height="20" alt="ON" /> にしてください。</dd>
<dt>携帯</dt><dd>Javascript は携帯では動作しないので、「携帯」欄は <img src="images/off.gif" width="20" height="20" alt="OFF" /> のままにしてください。</dd>
</dl>

<h2'.formatStyle($style["mod_h2"]).'>優先順位</h2>
<p'.formatStyle($style["mod_p"]).'>特に制限はありません。</p>
'.$mod_control["co_end"].'

</div>
<hr'.formatStyle($style["hr"]).' />
</div>


</div>
</div>
</div>';

?>
